import { shallowMount } from "@vue/test-utils";
import buttonBack from "./button-back";

describe("back button", () => {
    test("renders a button", () => {
        // Arrange
        const myFunction = () => {};

        // Act
        const wrapper = shallowMount(buttonBack, {
            propsData: {
                backButtonAction: myFunction,
                backButtonAccessibleText: "something",
            },
        });

        // Assert
        expect(wrapper.find("button").exists()).toBe(true);
        wrapper.unmount();
    });
});
